<?php
/**
 * @copyright Copyright (c) 2021 Aurora Creation Sp. z o.o. (http://auroracreation.com)
 */

declare(strict_types=1);

namespace Aurora\Santander\Console\Command;

use SoapFault;
use Magento\Setup\Exception;
use Aurora\Santander\Service\ProcessOrders;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class SantanderBankStatus extends Command
{
    /**
     * @var ProcessOrders
     */
    private $processOrders;

    /**
     * @param ProcessOrders $processOrders
     */
    public function __construct(ProcessOrders $processOrders)
    {
        parent::__construct();
        $this->processOrders = $processOrders;
    }

    /**
     * @inheritDoc
     */
    protected function configure()
    {
        $this->setName('santander:bank:status:update');
        $this->setDescription('Update santander orders status');
        parent::configure();
    }

    /**
     * @param InputInterface $input
     * @param OutputInterface $output
     * @return void
     * @throws SoapFault|Exception
     */
    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $this->processOrders->updateStatusAll($output);
    }
}
